Bug 87499 - Viewing Summary Page of Item with Image Asset attribute but no image shows error in log only
Viewing Summary Page of Item with Image Asset attribute but no image shows er...
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Che
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-27 15:32 EST by Jon Orris
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-24 11:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-03-27 15:32:09 EST
Description of problem:
If I create, for example, a News Item, and go to the Summary tab, an error will
show up in the log. The error seems to involve the image streaming code not
having an actual image to work with, as I didn't add one to the News Item.

The error only shows up in the log, but may indicate a deeper issue.

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:77abc761:f43030d149 -*-*-*-
-*-*-*- Message: image_id is required. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: JSESSIONID=az0l4Zs7kONb;
ad_user_login=8022!1048781705865!Wj9sQmOGZHzlzA2maiwt7A==
Host: goodeats.boston.redhat.com:8080
Referer:
http://goodeats.boston.redhat.com:8080/ccm/articles/admin/item.jsp?bbp.2341.d=asc&bbp.v=0&bbp.s=5&item_id=29001&bbp.i=1ct8osqbzxu9ol21jzlh7mucg06yabc0w2vhhln8vq4wqdsqzmdaipndmvdc6jtuzjoe8sbwadmvymjb1cmr0aelbvdgbnqvps5c2iyvcc4zp7ip03lyfz01kx26ph7u069f69nqmg1w2hmwo9frkw2upo2kb0rdlnf51tfigqgrqw6cwrnpitzjj3cx348dgie6weqc67daxq1duigxaub0x52vkypa1pb8so8obgp37r98ozxq3deyjf761pc6olg589g7tn4iy60yqpqprkf0hcaz99xiwwa25vsrjzkkz63ub2t34n0ar73t84i0wt6w8v03qov0prt8smi0yy9yx4nhhss2gsfavcxsb1hdm1mme5qkfkedjjkjxv9de9wdsn1poo7f7frspdnbs66o8tfcuvf1baofcdzbopv6mr0bff7mjxbdy6i5sz5xratvkcg&bbp.e=select&bbp.2325.o=userEmail&bbp.2325.d=asc&bbp.5.pane=3&bbp.2354.d=asc&g11n.enc=ISO-8859-1
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: az0l4Zs7kONb (expires: -1)
ad_user_login: 8022!1048781705865!Wj9sQmOGZHzlzA2maiwt7A== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party ID: 8022
Email address: manager@cms.com
Family name: Manager
Given name: Sam
Screen name: null

-*-*-*- Section: Stack trace -*-*-*-
javax.servlet.ServletException: image_id is required.
	at com.arsdigita.cms.dispatcher.StreamImage.dispatch(StreamImage.java:98)
	at
com.arsdigita.cms.dispatcher.ServiceDispatcher.dispatch(ServiceDispatcher.java:148)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.doDispatch(SiteNodeDispatcher.java:413)
	at com.arsdigita.sitenode.SiteNodeDispatcher.access$100(SiteNodeDispatcher.java:71)
	at com.arsdigita.sitenode.SiteNodeDispatcher$1.excurse(SiteNodeDispatcher.java:248)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.sitenode.SiteNodeDispatcher.dispatch(SiteNodeDispatcher.java:235)
	at
com.arsdigita.dispatcher.BaseDispatcherServlet.service(BaseDispatcherServlet.java:315)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.QNamedDispatcher.forward(QNamedDispatcher.java:157)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:203)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:150)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.dispatcher.inside_request: tcpConnection-8080-0|1048780525320
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@1646c779
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4ee04765=null}
com.arsdigita.web.BaseServlet.request_url: /ccm/cms-service/stream/image/?image_id=
com.arsdigita.web.DispatcherServlet.falling_back: true

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/cms-service/stream/image/
Query string: image_id=
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

2003-03-27 10:55:25,903 [080-0] ERROR dispatcher.BaseDispatcherServlet - error
in BaseDispatcherServlet
javax.servlet.ServletException: image_id is required.
	at com.arsdigita.cms.dispatcher.StreamImage.dispatch(StreamImage.java:98)
	at
com.arsdigita.cms.dispatcher.ServiceDispatcher.dispatch(ServiceDispatcher.java:148)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.doDispatch(SiteNodeDispatcher.java:413)
	at com.arsdigita.sitenode.SiteNodeDispatcher.access$100(SiteNodeDispatcher.java:71)
	at com.arsdigita.sitenode.SiteNodeDispatcher$1.excurse(SiteNodeDispatcher.java:248)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.sitenode.SiteNodeDispatcher.dispatch(SiteNodeDispatcher.java:235)
	at
com.arsdigita.dispatcher.BaseDispatcherServlet.service(BaseDispatcherServlet.java:315)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.QNamedDispatcher.forward(QNamedDispatcher.java:157)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:203)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:150)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)
2003-03-27 10:55:26,180 [080-0] FATAL logging.ErrorReport - 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:77abc761:f43030d263 -*-*-*-
-*-*-*- Message: image_id is required. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: JSESSIONID=az0l4Zs7kONb;
ad_user_login=8022!1048781705865!Wj9sQmOGZHzlzA2maiwt7A==
Host: goodeats.boston.redhat.com:8080
Referer:
http://goodeats.boston.redhat.com:8080/ccm/articles/admin/item.jsp?bbp.2341.d=asc&bbp.v=0&bbp.s=5&item_id=29001&bbp.i=1ct8osqbzxu9ol21jzlh7mucg06yabc0w2vhhln8vq4wqdsqzmdaipndmvdc6jtuzjoe8sbwadmvymjb1cmr0aelbvdgbnqvps5c2iyvcc4zp7ip03lyfz01kx26ph7u069f69nqmg1w2hmwo9frkw2upo2kb0rdlnf51tfigqgrqw6cwrnpitzjj3cx348dgie6weqc67daxq1duigxaub0x52vkypa1pb8so8obgp37r98ozxq3deyjf761pc6olg589g7tn4iy60yqpqprkf0hcaz99xiwwa25vsrjzkkz63ub2t34n0ar73t84i0wt6w8v03qov0prt8smi0yy9yx4nhhss2gsfavcxsb1hdm1mme5qkfkedjjkjxv9de9wdsn1poo7f7frspdnbs66o8tfcuvf1baofcdzbopv6mr0bff7mjxbdy6i5sz5xratvkcg&bbp.e=select&bbp.2325.o=userEmail&bbp.2325.d=asc&bbp.5.pane=3&bbp.2354.d=asc&g11n.enc=ISO-8859-1
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: az0l4Zs7kONb (expires: -1)
ad_user_login: 8022!1048781705865!Wj9sQmOGZHzlzA2maiwt7A== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
javax.servlet.ServletException: image_id is required.
	at com.arsdigita.cms.dispatcher.StreamImage.dispatch(StreamImage.java:98)
	at
com.arsdigita.cms.dispatcher.ServiceDispatcher.dispatch(ServiceDispatcher.java:148)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.doDispatch(SiteNodeDispatcher.java:413)
	at com.arsdigita.sitenode.SiteNodeDispatcher.access$100(SiteNodeDispatcher.java:71)
	at com.arsdigita.sitenode.SiteNodeDispatcher$1.excurse(SiteNodeDispatcher.java:248)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.sitenode.SiteNodeDispatcher.dispatch(SiteNodeDispatcher.java:235)
	at
com.arsdigita.dispatcher.BaseDispatcherServlet.service(BaseDispatcherServlet.java:315)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.QNamedDispatcher.forward(QNamedDispatcher.java:157)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:203)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:150)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@1646c779
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4ee04765=null}
com.arsdigita.web.BaseServlet.request_url: /ccm/cms-service/stream/image/?image_id=
com.arsdigita.web.DispatcherServlet.falling_back: true
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:77abc761:f43030d149 -*-*-*-
-*-*-*- Message: image_id is required. -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept: */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Connection: Keep-Alive
Cookie: JSESSIONID=az0l4Zs7kONb;
ad_user_login=8022!1048781705865!Wj9sQmOGZHzlzA2maiwt7A==
Host: goodeats.boston.redhat.com:8080
Referer:
http://goodeats.boston.redhat.com:8080/ccm/articles/admin/item.jsp?bbp.2341.d=asc&bbp.v=0&bbp.s=5&item_id=29001&bbp.i=1ct8osqbzxu9ol21jzlh7mucg06yabc0w2vhhln8vq4wqdsqzmdaipndmvdc6jtuzjoe8sbwadmvymjb1cmr0aelbvdgbnqvps5c2iyvcc4zp7ip03lyfz01kx26ph7u069f69nqmg1w2hmwo9frkw2upo2kb0rdlnf51tfigqgrqw6cwrnpitzjj3cx348dgie6weqc67daxq1duigxaub0x52vkypa1pb8so8obgp37r98ozxq3deyjf761pc6olg589g7tn4iy60yqpqprkf0hcaz99xiwwa25vsrjzkkz63ub2t34n0ar73t84i0wt6w8v03qov0prt8smi0yy9yx4nhhss2gsfavcxsb1hdm1mme5qkfkedjjkjxv9de9wdsn1poo7f7frspdnbs66o8tfcuvf1baofcdzbopv6mr0bff7mjxbdy6i5sz5xratvkcg&bbp.e=select&bbp.2325.o=userEmail&bbp.2325.d=asc&bbp.5.pane=3&bbp.2354.d=asc&g11n.enc=ISO-8859-1
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: az0l4Zs7kONb (expires: -1)
ad_user_login: 8022!1048781705865!Wj9sQmOGZHzlzA2maiwt7A== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party ID: 8022
Email address: manager@cms.com
Family name: Manager
Given name: Sam
Screen name: null

-*-*-*- Section: Stack trace -*-*-*-
javax.servlet.ServletException: image_id is required.
	at com.arsdigita.cms.dispatcher.StreamImage.dispatch(StreamImage.java:98)
	at
com.arsdigita.cms.dispatcher.ServiceDispatcher.dispatch(ServiceDispatcher.java:148)
	at
com.arsdigita.sitenode.SiteNodeDispatcher.doDispatch(SiteNodeDispatcher.java:413)
	at com.arsdigita.sitenode.SiteNodeDispatcher.access$100(SiteNodeDispatcher.java:71)
	at com.arsdigita.sitenode.SiteNodeDispatcher$1.excurse(SiteNodeDispatcher.java:248)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.sitenode.SiteNodeDispatcher.dispatch(SiteNodeDispatcher.java:235)
	at
com.arsdigita.dispatcher.BaseDispatcherServlet.service(BaseDispatcherServlet.java:315)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.QNamedDispatcher.forward(QNamedDispatcher.java:157)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:203)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:150)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.dispatcher.inside_request: tcpConnection-8080-0|1048780525320
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@1646c779
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4ee04765=null}
com.arsdigita.web.BaseServlet.request_url: /ccm/cms-service/stream/image/?image_id=
com.arsdigita.web.DispatcherServlet.falling_back: true

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/cms-service/stream/image/
Query string: image_id=
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-

guruMeditationCode: goodeats.boston.redhat.com:8080:77abc761:f43030d149

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/cms-service/stream/image/
Query string: image_id=
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/product/9.2.0.1/lib:/product/9.2.0.1/ctx/lib:/product/9.2.0.1/JRE/lib/i386/native_threads:/lib:/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
org.apache.xalan.processor.TransformerFactoryImpl
line.separator: 

org.xml.sax.driver: org.apache.xerces.parsers.SAXParser
os.arch: x86
os.name: Linux
os.version: 2.4.18-27.8.0
path.separator: :
PreferredXSLTTransformer: XALAN
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
vendor: Apache Software Foundation
vendor-url: http://xml.apache.org/xalan
version: 2.1.0
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2003-03-27 15:46:04 EST
This happens even if an image is uploaded.
The image is not displayed in the Summary tab, though it is in the Authoring tab.
Comment 2 Jon Orris 2003-03-27 15:57:56 EST
In addition, the image doesn't appear at all for the published or Preview News
Item. No warnings in the log.

An image does, however, appear with the Article type, in Summary, Preview and
Published views.

This appears to be specific to News Item, though may occur on other types. Will
investigate.
Comment 3 Bryan Che 2003-03-28 15:48:18 EST
fixed xsl bug at changelist 29165

Note You need to log in before you can comment on or make changes to this bug.